Subject: [bug#71111] [PATCH v2 1/1] services: home: Use pairs instead of lists.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 23 May 2024 11:16:39 +0200

Hi Andrew,

Andrew Tropin <[email-masked]> skribis:

>  (operating-system
>    (services (append (list (service guix-home-service-type
> -                                   `(("alice" ,my-home))))
> +                                   `(("alice" . ,my-home))))

What’s the rationale for this?

In general I think we should avoid gratuitous incompatible changes.

Thanks,
Ludo’.